/*
 * @Author: fuyu
 * @Date: 2021-03-23 11:56:31
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 13:43:53
 * @FilePath: /202103/code/sql_merge/bin/server.js
 */
// import mongoose from 'mongoose'

import Koa from 'koa'
// import mount from 'koa-mount'
// import serve from 'koa-static'
import logger from 'koa-logger'
import convert from 'koa-convert'
// import passport from 'koa-passport'
import bodyParser from 'koa-bodyparser'
// import session    from 'koa-generic-session'

import config from '../config'

//建立MYSQL连接
require('../src/dao_new');
require('../src/dao_old');
//创建Koa对象
const app = new Koa()
  // app.keys  = [config.session]

//加载中间件
app.use(convert(logger()))
  // app.use(convert(session()))
app.use(convert(bodyParser()))
//本地访问跨域
var cors = require('koa-cors');
app.use(convert(cors()));
//加载docs
// app.use(convert(mount('/docs', serve(`${process.cwd()}/docs`))))
// //加载passport
// require('../config/passport')
// app.use(passport.initialize())
// app.use(passport.session())

//加载路由
require('../src/modules')(app)

//接入Socket.IO
const server = require('http').createServer(app.callback());
// const io = require('socket.io')(server);
// io.on('connection', (socket) => {
//   console.log('connection');
// });
console.log('config', config)
  //启动服务
server.listen(config.port, () => {
  console.log(`Server started on ${config.port}`)
});

export default app
